## kvirc 4.0.0

=== CMakeLists.txt ===
###############################################################################
##
## KVIrc CMake global configuration file.
##
###############################################################################

###############################################################################
# GLOBAL DEFS
###############################################################################

# Name of the project
PROJECT(kvirc)

# Set conventional loops
SET(CMAKE_ALLOW_LOOSE_LOOP_CONSTRUCTS true)

# Minimum cmake version
CMAKE_MINIMUM_REQUIRED(VERSION 2.6.4)

# Check modules first in local dir
SET(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

# Some vars
SET(PACKAGE "kvirc")
SET(NICENAME "KVIrc")
SET(VERSION_MAJOR "4")
SET(VERSION_BRANCH "4.0")
SET(VERSION_RELEASE "4.0.0")

STRING(REGEX MATCH "[0-9]+$" VERSION_MINOR ${VERSION_BRANCH})

SET(CMAKE_KVIRC_VERSION_MAJOR ${VERSION_MAJOR})
SET(CMAKE_KVIRC_VERSION_BRANCH ${VERSION_BRANCH})
SET(CMAKE_KVIRC_VERSION_RELEASE ${VERSION_RELEASE})
SET(CMAKE_KVIRC_BUILD_COMMAND ${CMAKE_COMMAND})
SET(CMAKE_KVIRC_BUILD_FLAGS)
SET(CMAKE_KVIRC_BUILD_SYSTEM ${CMAKE_SYSTEM})
SET(CMAKE_KVIRC_BUILD_SYSTEM_NAME ${CMAKE_SYSTEM_NAME})
SET(CMAKE_KVIRC_BUILD_SYSTEM_VERSION ${CMAKE_SYSTEM_VERSION})
SET(CMAKE_KVIRC_BUILD_CPU ${CMAKE_SYSTEM_PROCESSOR})
SET(CMAKE_KVIRC_BUILD_COMPILER ${CMAKE_CXX_COMPILER})
SET(CMAKE_KVIRC_BUILD_COMPILER_FLAGS ${CMAKE_CXX_FLAGS})

# Suffix for Linux
SET(LIB_SUFFIX
	CACHE STRING "Define suffix of directory name (32/64)"
)

IF(EXISTS "${CMAKE_SOURCE_DIR}/.svn" AND IS_DIRECTORY "${CMAKE_SOURCE_DIR}/.svn")

	# Get revision number from SVN
	SET(MANUAL_REVISION
		CACHE STRING "Manually set the revision number if subversion is not found"
	)
	
	STRING(COMPARE EQUAL "${MANUAL_REVISION}" "" MANUAL_REVISION_UNSET)
	IF(MANUAL_REVISION_UNSET)
		FIND_PACKAGE(Subversion)
		IF(Subversion_FOUND)
			MESSAGE(STATUS "Found Subversion ${Subversion_VERSION_SVN}")
			Subversion_WC_INFO(${PROJECT_SOURCE_DIR} KVIrc)
	 		IF(DEFINED KVIrc_WC_REVISION)
				SET(CMAKE_KVIRC_BUILD_REVISION ${KVIrc_WC_REVISION})
				MESSAGE(STATUS "Current revision is ${KVIrc_WC_REVISION}")
			ELSE()
				MESSAGE(STATUS "No Subversion working copy found")
			ENDIF()
		ELSE()
			MESSAGE("Subversion not found. No revision number will be used")
		ENDIF()
	ELSE()
		SET(CMAKE_KVIRC_BUILD_REVISION ${MANUAL_REVISION})
		MESSAGE(STATUS "Current revision has been manually set to ${MANUAL_REVISION}")
	ENDIF()

ELSE()
	IF(EXISTS "${CMAKE_SOURCE_DIR}/.svnrevision")
		FILE(READ "${CMAKE_SOURCE_DIR}/.svnrevision" DISTSVNREVISION)
		STRING(STRIP "${DISTSVNREVISION}" CMAKE_KVIRC_BUILD_REVISION)
		MESSAGE(STATUS "SVN revision is ${CMAKE_KVIRC_BUILD_REVISION}")
	ELSE()
		MESSAGE(STATUS "No revision number found.")
	ENDIF()
ENDIF()


# Simplify eventual mixed revisions and strange tweaks with letters in it
STRING(REGEX REPLACE ":[0-9a-zA-Z]+" "" CMAKE_KVIRC_BUILD_REVISION "${CMAKE_KVIRC_BUILD_REVISION}")
STRING(REGEX REPLACE "[^0-9]+" "" CMAKE_KVIRC_BUILD_REVISION "${CMAKE_KVIRC_BUILD_REVISION}")


# Set man dir
SET(MANDIR
	CACHE STRING "Define man directory starting from $CMAKE_INSTALL_PREFIX"
)

STRING(COMPARE EQUAL "${MANDIR}" "" MANDIR_UNSET)
IF(MANDIR_UNSET)
	SET(MANDIR_PREFIX "share/man")
ELSE()
	SET(MANDIR_PREFIX "man")
ENDIF()

# Get the build date
TRY_RUN(TEST_DID_RUN TEST_DID_COMPILE "${CMAKE_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/cmake/datetime.cpp" OUTPUT_VARIABLE TEST_BUILD_DATE)
IF(TEST_DID_COMPILE)
	STRING(REGEX MATCH "[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] [0-9][0-9]:[0-9][0-9]:[0-9][0-9] [A-Z][A-Z][A-Z]" CMAKE_KVIRC_BUILD_DATE "${TEST_BUILD_DATE}")
ELSE()
	SET(CMAKE_KVIRC_BUILD_DATE "ERROR")
ENDIF()

# Set var to link with, for later use
SET(LIBS)
SET(ADDITIONAL_LINK_FLAGS)

# Install path
IF(UNIX)
	IF(APPLE)
		# MacOS X
		# Due to the special bundle structure ignore
		# the prefix eventually set by the user.
		SET(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/KVIrc.app)
	ELSE()
		# Linux / BSD
		IF(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
			#fix package build
			IF(PREFIX)
				SET(CMAKE_INSTALL_PREFIX ${PREFIX})
			ELSE()
				SET(CMAKE_INSTALL_PREFIX /usr/local)
			ENDIF()
		ENDIF()
	ENDIF()
ELSEIF(WIN32)
	SET(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/release)
ENDIF()
LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS CMAKE_INSTALL_PREFIX=${CMAKE_INSTALL_PREFIX})


###############################################################################
#
# Release type
#
###############################################################################
OPTION(USE_ENV_FLAGS "Don't try to set CMAKE_C(XX)_FLAGS; instead, use the ones from environment variables" OFF)
IF(USE_ENV_FLAGS)
	SET(WANT_ENV_FLAGS ON)
ENDIF()

OPTION(WANT_DEBUG "Compile debug symbols" OFF)
IF(CMAKE_BUILD_TYPE MATCHES Debug OR CMAKE_BUILD_TYPE MATCHES RelWithDebInfo OR DEBUG OR WITH_DEBUG)
	SET(WANT_DEBUG ON CACHE BOOL "Compile debug symbols" FORCE)
ENDIF()

OPTION(WANT_STRIP "Strip binaries (discard symbols from object files)" OFF)
	
IF(WANT_ENV_FLAGS)
	SET(CMAKE_BUILD_TYPE Undefined)
	SET(CMAKE_STATUS_DEBUG_SUPPORT "Environment-driven")
ELSE()
	IF(WANT_DEBUG)
		SET(WANT_STRIP OFF CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
		SET(CMAKE_BUILD_TYPE Debug CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
		SET(CMAKE_STATUS_DEBUG_SUPPORT "Yes")
		LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS DEBUG)
		IF(CMAKE_COMPILER_IS_GNUCXX)
			#force gdb format of debug symbols
			SET(CMAKE_CXX_FLAGS "-O0 -ggdb -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			SET(CMAKE_C_FLAGS "-O0 -ggdb -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			INCLUDE(CheckCXXCompilerFlag)
			CHECK_CXX_COMPILER_FLAG("-fvisibility=hidden" CXX_HAS_VH_FLAG)
			CHECK_CXX_COMPILER_FLAG("-fvisibility-inlines-hidden" CXX_HAS_VIH_FLAG)
			#gcc doesn't support visibility on PE/win32
			IF(NOT MINGW)
				IF(CXX_HAS_VH_FLAG)
					SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
					SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
				ENDIF()
				IF(CXX_HAS_VIH_FLAG)
					SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
					SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
				ENDIF()
			ENDIF()
		ELSE()
			#this small set of options should work on almost all compilers
			SET(CMAKE_CXX_FLAGS "-O0 -g")
			SET(CMAKE_C_FLAGS "-O0 -g")
		ENDIF()
	ELSE()
		IF(WITHOUT_STRIP)
			SET(WANT_STRIP OFF CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
			SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Release)")
			SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
		ELSE()
			FIND_PROGRAM(STRIP_EXECUTABLE NAMES strip)
			IF(STRIP_EXECUTABLE)
				SET(WANT_STRIP ON CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
				SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Stripped)")
				SET(CMAKE_BUILD_TYPE Release-stripped CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
			ELSE()
				SET(WANT_STRIP OFF CACHE BOOL "Strip binaries (discard symbols from object files)" FORCE)
				SET(CMAKE_STATUS_DEBUG_SUPPORT "No (Release)")
				SET(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
			ENDIF()
		ENDIF()
		IF(CMAKE_COMPILER_IS_GNUCXX)
			#force gdb options
			SET(CMAKE_CXX_FLAGS "-O3 -fomit-frame-pointer -DNDEBUG --no-enforce-eh-specs -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			SET(CMAKE_C_FLAGS "-O3 -fomit-frame-pointer -DNDEBUG --no-enforce-eh-specs -pipe --exec-charset=UTF-8 --input-charset=UTF-8 --no-implement-inlines --unit-at-a-time --fast-math")
			INCLUDE(CheckCXXCompilerFlag)
			CHECK_CXX_COMPILER_FLAG("-fvisibility-inlines-hidden" CXX_HAS_VIH_FLAG)
			#gcc doesn't support visibility on PE/win32
			IF(CXX_HAS_VIH_FLAG AND NOT MINGW)
				SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
				SET(CMAKE_C_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")
			ENDIF()
		ELSE()
			#this small set of options should work on almost all compilers
			SET(CMAKE_CXX_FLAGS "-O3")
			SET(CMAKE_C_FLAGS "-O3")
		ENDIF()
	ENDIF()
ENDIF()

############################################################################
# Check for KDE4
# This has been moved to the top of CMakeLists.txt, since FindKde4 overwrite
# cmake's module search paths, forcing us to use their version of these
# modules (eg: FindOpenSSL, see bug #655)
############################################################################

OPTION(WANT_KDE4 "Whether to use KDE4 support" ON)
IF(WITHOUT_KDE4)
	SET(WANT_KDE4 OFF)
ENDIF()
IF(WANT_KDE4)
	FIND_PACKAGE(KDE4)
	IF(KDE4_FOUND)
		INCLUDE_DIRECTORIES(${KDE4_INCLUDES})
		ADD_DEFINITIONS(${KDE4_DEFINITIONS})
		SET(COMPILE_KDE_SUPPORT 1)
		LIST(APPEND LIBS ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBRARY} ${KDE4_KPARTS_LIBRARY} ${KDE4_KFILE_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_SOLID_LIBRARY})
		SET(CMAKE_STATUS_KDE4_SUPPORT "Yes")
		LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS COMPILE_KDE_SUPPORT)

		# The KDE4 cmake module has a VERY WEIRD behaviour: it adds -Wl,--no-undefined
		# to the CMAKE_MODULE_LINKER_FLAGS .. which is BAD
		STRING(REPLACE "-Wl,--no-undefined" "" CMAKE_MODULE_LINKER_FLAGS ${CMAKE_MODULE_LINKER_FLAGS})
	ELSE()
		SET(CMAKE_STATUS_KDE4_SUPPORT "Not available")
	ENDIF()
ELSE()
	LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS WITHOUT_KDE4)
	SET(CMAKE_STATUS_KDE4_SUPPORT "User disabled")
ENDIF()

###############################################################################
#
# Verbose Makefile
#
###############################################################################

OPTION(WANT_VERBOSE "Generate verbose Makefiles" OFF)
IF(VERBOSE)
	SET(WANT_VERBOSE ON)
ENDIF()
IF(WANT_VERBOSE)
	SET(CMAKE_VERBOSE_MAKEFILE ON CACHE BOOL "Generate verbose Makefiles")
	SET(CMAKE_STATUS_VERBOSE_SUPPORT "Yes")
	LIST(APPEND CMAKE_KVIRC_BUILD_FLAGS VERBOSE)
ELSE()
	SET(CMAKE_STATUS_VERBOSE_SUPPORT "No")
ENDIF()


###############################################################################
#
# Version compatibility switch: appends VERSION_MAJOR to kvirc and kvilib
#
###############################################################################

OPTION(WANT_COEXISTENCE "Append version to binaries to maintain compatibility with older versions" OFF)
IF(COEXISTENCE)
	SET(WANT_COEXISTENCE ON)
ENDIF()
IF(WANT_COEXISTENCE)
	SET(KVIRC_BINARYNAME ${PACKAGE}${VERSION_MAJOR})
	SET(KVILIB_BINARYNAME kvilib${VERSION_MAJOR})
	SET(CMAKE_STATUS_COEXISTENCE_VER "Yes")
ELSE()
	SET(KVIRC_BINARYNAME ${PACKAGE})
	SET(KVILIB_BINARYNAME kvilib)
	SET(CMAKE_STATUS_COEXISTENCE_VER "No")
ENDIF()

###############################################################################
#
# Module install path: kvirc needs to know where they are installed
#
###############################################################################

IF(UNIX)
	IF(APPLE)
		SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/Contents/Resources/")
	ELSE()
		# Assume linux
		SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/share/kvirc/${VERSION_BRANCH}/")
		SET(CMAKE_KVIRC_MODULES_DIR "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/kvirc/${VERSION_BRANCH}/modules")
	ENDIF()
ELSEIF(WIN32)
	SET(CMAKE_KVIRC_RESOURCES_DIR "${CMAKE_INSTALL_PREFIX}/")
ENDIF()

###############################################################################
#
# System checks
#
###############################################################################

INCLUDE(CheckTypeSize)
CHECK_TYPE_SIZE("short" CMAKE_SYSTEM_SIZE_OF_SHORT_INT)
CHECK_TYPE_SIZE("int" CMAKE_SYSTEM_SIZE_OF_INT)
CHECK_TYPE_SIZE("long" CMAKE_SYSTEM_SIZE_OF_LONG_INT)
CHECK_TYPE_SIZE("long long" CMAKE_SYSTEM_SIZE_OF_LONG_LONG_INT)

INCLUDE(CheckIncludeFiles)

=== po/defscript/CMakeLists.txt ===
# CMakeLists for po/defscript

# sed will cut paths at this directory
SET(TRANSLATION_BASEDIR "data")

FILE(GLOB pofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.po")
FILE(GLOB mofiles "${CMAKE_CURRENT_SOURCE_DIR}/*.mo")

SET(POTFILE defscript.pot)
SET(XGETTEXT_SOURCESDIR)
LIST(APPEND XGETTEXT_SOURCESDIR ${CMAKE_SOURCE_DIR}/data/defscript)

# this enables specific xgettext parameters for parsing .kvs scripts
SET(TRANSLATION_DEFSCRIPT 1)

# Install target
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/translation.rules.txt)

=== src/modules/file/CMakeLists.txt ===
# CMakeLists for src/modules/file

IF(WANT_NO_EMBEDDED_CODE)
    ADD_DEFINITIONS("-DCOMPILE_NO_EMBEDDED_CODE -fexceptions")
ENDIF(WANT_NO_EMBEDDED_CODE)

SET(kvifile_SRCS
	libkvifile.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvifile_MOC_SRCS ${kvifile_MOC_HDRS})

SET(kvi_module_name kvifile)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== src/modules/system/CMakeLists.txt ===
# CMakeLists for src/modules/system

SET(kvisystem_SRCS
	libkvisystem.cpp
	plugin.cpp
)

# After this call, files will be moc'ed to moc_kvi_*.cpp
QT4_WRAP_CPP(kvisystem_MOC_SRCS ${kvisystem_MOC_HDRS})

SET(kvi_module_name kvisystem)
INCLUDE(${CMAKE_SOURCE_DIR}/cmake/module.rules.txt)

=== debian/changelog ===
kvirc (4:4.0.0-3) unstable; urgency=high

  The "Sliver Queen" release.

  * Urgency high as 00_upstream_patches_for_4.0.patch fixes a serious security
      flaw in the DCC module (other, rather minor in comparison, security
      fixes are also included).  (Closes: #590745)
      http://dev.carbon-project.org/debian/kvirc/kvirc_4.0.0-3.dsc
  * debian/rules:
    - Removed override_dh_strip and added --dbg-package to the general dh
      invocation.
    - Made dh_install run parallel aware.
  * debian/patches:
    - Removed patches 00 through 04 and replaced them by a single patch
      containing all upstream bug fixes to the 4.0 branch.
  * debian/kvirc.lintian-overrides: change kvirc: no-symbols-control-file to
    the correct library file name.
  * debian/control: Bumped Standards-Version to 3.9.1, required change:
    - debian/copyright: Remove the complete GPLv1 and point to
      common-licenses.

 -- Kai Wasserbäch <debian@carbon-project.org>  Wed, 28 Jul 2010 13:57:14 +0200

kvirc (4:4.0.0-2) unstable; urgency=low

  The "Cleansing" release.

  * debian/copyright: Don't reference BSD license (Debian policy 12.5), one
    occurrence was missed.
  * debian/control: Make kvirc conflict again with kvirc-dev, I actually
    missed a bullet point in section 7.4 of the policy.
  * debian/patches:
    - Rename "01_correct_sources_date.patch" to 
      "01_upstream_correct_sources_date.patch".
    - 02_upstream_fix_sound_selector_layout.patch: Added, taken from
      upstream's 4.0 branch (commit:4561).
    - 03_upstream_fix-upstream-issue-#824.patch: Added, taken from upstream's
      4.0 branch (commit:4565 and commit:4573).
    - 04_upstream_fix-upstream-issue-#817.patch: Added, taken from upstream's
      4.0 branch (commit:4569).
    - 00_upstream_fix-object-module.patch: Added, taken from upstream's 4.0
      branch (commit:4575 and commit:4576).

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 02 Jul 2010 19:24:21 +0200

kvirc (4:4.0.0-1) unstable; urgency=low

  The "Child of Night" release.

  * New upstream release:
    - A lot of bug fixes, including a fix for an infinite loop, and
    - some translation updates.
  * debian/kvirc-data.install:
    - Added "usr/share/kvirc/*/audio/" to the list of installed directories.
    - Removed "debian/tmp/" prefix.
  * debian/kvirc.install: Removed "debian/tmp/" prefix.
  * debian/control:
    - Bumped Build-Depends for pkg-kde-tools to >= 0.9 for ensured source
      package 3.0 (quilt) support.
    - Bumped Standards-Version to 3.9.0:
      + Added Breaks to kvirc stanza (7.3, 7.6.1).
      + Moved Conflicts to Breaks (7.4).
      + debian/copyright: Updated (12.5).
  * debian/kvirc.docs: Install the correct upstream README file and remove the
    upstream TODO file for real (as claimed in the entry for
    4:4.0.0~svn3763-1).
  * debian/rules: No longer set MANUAL_REVISION.
  * debian/patches/01_correct_sources_date.patch: Added, taken from upstream's
    4.0 branch (commit:4552).

 -- Kai Wasserbäch <debian@carbon-project.org>  Mon, 28 Jun 2010 20:43:44 +0200

kvirc (4:4.0.0~svn4340+rc3-1) unstable; urgency=medium

  The "Grave Consequences" release.

  * Synced to upstream's SVN revision 4340:
    - Now RC3.
    - A lot of bug fixes, including:
      + a security fix for the DCC part (therefore urgency=medium), and
      + a crash. (Closes: #580289)
    - And some translation updates including the remainder of Holger Wansing's
      suggestions.
  * debian/patches:
    - 10_fix_desktop_entry.patch: Refreshed.
    - 21_make_shared-mime-info_B-D_superfluous.patch: Added. (Closes: #581321)

 -- Kai Wasserbäch <debian@carbon-project.org>  Tue, 18 May 2010 18:30:31 +0200

kvirc (4:4.0.0~svn4253+rc2-1) unstable; urgency=low

  The "Winter Blast" release.

  * Synced to upstream's SVN revision 4253:
    - Translation updates:
      + German; update due to a review by debian-l10n-german (thanks to Holger
        Wansing for the review, thanks to Markus Rennings for incorporating the
        suggestions).
      + Italian
    - A lot of bug fixes, including:
      + a fix for a crash in KVS objects,
      + a fix for a SEGV in the IRC log viewer,
      + a fix for the URL module, which had bug leading to disconnects,
      + a fix for an infinite loop in the syntax highlighter, and
      + a fix for a SEGV in the reguser module.
  * debian/copyright: Fixed license information for files in
    »src/kvilib/ext/avdevice« (taken from Kopete).

 -- Kai Wasserbäch <debian@carbon-project.org>  Fri, 16 Apr 2010 14:02:16 +0200

kvirc (4:4.0.0~svn4170+rc2-1) unstable; urgency=low

  The "Underworld Dreams" release.

  * Synced to upstream's SVN revision 4170:
    - A lot of bug fixes, including a fix for an infinite loop.
    - Portuguese translation update, thanks to Américo Monteiro for answering
      the call to debian-{i18n,l10n-portuguese}.

  [ Kai Wasserbäch ]
  * debian/TODO.Debian: Updated, removed resolved points and added information
    on how to fix the linking to libraries from which no symbols are used.
  * debian/control: DM-Upload-Allowed set to yes.
  * debian/patches/10_fix_desktop_entry.patch: Refreshed.

  [ Raúl Sánchez Siles ]
  * Fixed parallel building.
  * Added check to list potential missing files on the package.

 -- Kai Wasserbäch <debian@carbon-project.org>  Sat, 20 Mar 2010 15:53:32 +0100

kvirc (4:4.0.0~svn3989+rc2-1) unstable; urgency=low

  The "Worldwake" release.

  * Synced to upstream's SVN revision 3989:
    - A lot of bug fixes (including crashes/segmentation faults).
    - Russian transaltion update.
    - Fixes for cppcheck-found errors.
  * debian/kvirc.lintian-overrides: Added "spelling-error-in-binary" for
    "./usr/lib/kvirc/4.0/modules/libkvilanguage.so" which is a false positive.
  * debian/copyright: Reproduce GPLv1 in full text, as it's not in
    common-licenses.
  * debian/README.Debian: Added a note about Python support.
  * debian/patches/30_r3902_update_motd.patch: Dropped, was taken from


=== debian/control ===
Source: kvirc
Build-Depends: debhelper (>= 7.3.16), cmake, kdelibs5-dev, libperl-dev,
 pkg-kde-tools (>= 0.9), zlib1g-dev, libx11-dev, libxrender-dev, libssl-dev,
 libqt4-dev (>= 4.5.0), libcrypto++-dev, pkg-config, libxss-dev
Section: net
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Raúl Sánchez Siles <rasasi78@gmail.com>,
 Kai Wasserbäch <debian@carbon-project.org>,
 Mark Purcell <msp@debian.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.1
Vcs-Hg: http://hg.debian.org/hg/pkg-kde/kde-extras/kvirc/
Vcs-Browser: http://hg.debian.org/hg/pkg-kde/kde-extras/kvirc/
Homepage: http://www.kvirc.de/

Package: kvirc
Architecture: any
Depends: kvirc-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Replaces: kvirc-data (<< ${source:Version})
Breaks: kvirc-data (<< ${source:Version})
Conflicts: kvirc-dev
Suggests: kvirc-dbg (= ${source:Version})
Description: KDE-based next generation IRC client with module support
 A highly configurable graphical IRC client with an MDI interface,
 built-in scripting language, support for IRC DCC, drag & drop file
 browsing, and much more. KVIrc uses the KDE widget set, can be extended
 using its own scripting language, integrates with KDE, and supports
 custom plugins.
 .
 If you're looking for a simple and plain IRC client, KVIrc is probably the
 wrong choice as it is rather big. But if you want a highly customizable client
 you won't regret the installation.

Package: kvirc-data
Architecture: all
Depends: ${misc:Depends}
Suggests: kvirc (>= ${source:Version})
Description: Data files for KVIrc
 This package contains the architecture-independent data needed by KVIrc in
 order to run, such as icons and images, language files, and shell scripts.
 It also contains complete reference guides on scripting and functions
 within KVIrc in its internal help format.

Package: kvirc-dbg
Architecture: any
Section: debug
Priority: extra
Depends: kvirc (= ${binary:Version}), ${misc:Depends}
Description: KVIrc (IRC client) debugging symbols
 A highly configurable graphical IRC client with an MDI interface,
 built-in scripting language, support for IRC DCC, drag & drop file
 browsing, and much more. KVIrc uses the KDE widget set, can be extended
 using its own scripting language, integrates with KDE, and supports
 custom plugins.
 .
 This package is intended to help debugging possible problems with KVIrc.

=== debian/rules ===
#! /usr/bin/make -f
#
DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.hg:.hgignore

DEBVERSION = $(shell head -n 1 debian/changelog | sed -e 's/^[^(]*(\([^)]*\)).*/\1/')
UPVERSION = $(shell echo $(DEBVERSION) | sed -r -e 's/^.*://' -e 's/-[0-9.]*(\+b[0-9])?$$//' -e 's/.dfsg[0-9]*$$//')
REV = $(shell echo $(UPVERSION) | sed -e 's/^.*svn//' -e 's/\+rc[0-9]$$//')

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DWANT_COEXISTANCE=OFF -DWITHOUT_PYTHON=YES \
			-DWITHOUT_ESD=YES -DWITHOUT_OSS=YES \
			-DWITH_NO_EMBEDDED_CODE=YES -DWITHOUT_STRIP=ON \
			-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed" \
			-DCMAKE_EXE_LINKER_FLAGS="-Wl,--no-undefined -Wl,--as-needed"

override_dh_install:
	dh_install --parallel --list-missing -XCOPYING

%:
	dh --parallel --dbg-package=kvirc-dbg --with kde $@


get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@echo 'Checking out for repacking (might take 15 min) ... REV: ' $(REV)
	@@svn export https://svn.kvirc.de/svn/trunk/kvirc@$(REV) ../tarballs/kvirc-$(REV).tmp
	@@echo 'Getting the changelog (might take 15 min) ...'
	@@cd ../tarballs/kvirc-$(REV).tmp; svn2cl -o changelog https://svn.kvirc.de/svn/trunk/kvirc@$(REV)
	@@echo Creating the tarball ...
	@@cd ../tarballs/kvirc-$(REV).tmp; tar jcf ../kvirc_$(UPVERSION).orig.tar.bz2 *
	@@rm -rf ../tarballs/kvirc-$(REV).tmp
	@@echo Ready for packaging.
